slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetTolerances

Sets the tolerance and maximum iteration count used by the NEP convergence tests.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetTolerances(NEP nep,PetscReal tol,PetscInt maxits)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| tol | - the convergence tolerance
| maxits | - maximum number of iterations to use

### Options Database Keys

| -nep_tol <tol> | - Sets the convergence tolerance
| -nep_max_it <maxits> | - Sets the maximum number of iterations allowed

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

NEPGetTolerances()

### Level

intermediate

### Location

src/nep/interface/nepopts.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages